Package org.apache.commons.compress.compressors.lzma

# Class LZMAUtils

java.lang.Object
org.apache.commons.compress.compressors.lzma.LZMAUtils

public class LZMAUtils extends Object
Utility code for the LZMA compression format.

Since:
  1.10
This class is thread-safe

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getCompressedFilename(String fileName)`
  Deprecated.
  Use `getCompressedFileName(String)`.
  `static String`
  `getCompressedFileName(String fileName)`
  Maps the given file name to the name that the file should have after compression with LZMA.
  `static String`
  `getUncompressedFilename(String fileName)`
  Deprecated.
  Use `getUncompressedFileName(String)`.
  `static String`
  `getUncompressedFileName(String fileName)`
  Maps the given name of a LZMA-compressed file to the name that the file should have after uncompression.
  `static boolean`
  `isCompressedFilename(String fileName)`
  Deprecated.
  Use `isCompressedFileName(String)`.
  `static boolean`
  `isCompressedFileName(String fileName)`
  Detects common LZMA suffixes in the given file name.
  `static boolean`
  `isLZMACompressionAvailable()`
  Are the classes required to support LZMA compression available?
  `static boolean`
  `matches(byte[] signature, int length)`
  Checks if the signature matches what is expected for a .lzma file.
  `static void`
  `setCacheLZMAAvailablity(boolean doCache)`
  Sets whether to cache the result of the LZMA check.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getCompressedFilename

    @Deprecated public static String getCompressedFilename(String fileName)
    Deprecated.
    Use `getCompressedFileName(String)`.
    Maps the given file name to the name that the file should have after compression with LZMA.
    Parameters:
      `fileName` - name of a file
    Returns:
      name of the corresponding compressed file

  - ### getCompressedFileName

    public static String getCompressedFileName(String fileName)
    Maps the given file name to the name that the file should have after compression with LZMA.
    Parameters:
      `fileName` - name of a file
    Returns:
      name of the corresponding compressed file
    Since:
      1.25.0

  - ### getUncompressedFilename

    @Deprecated public static String getUncompressedFilename(String fileName)
    Deprecated.
    Use `getUncompressedFileName(String)`.
    Maps the given name of a LZMA-compressed file to the name that the file should have after uncompression. Any file names with the generic ".lzma" suffix (or any other generic LZMA suffix) is mapped to a name without that suffix. If no LZMA suffix is detected, then the file name is returned unmapped.
    Parameters:
      `fileName` - name of a file
    Returns:
      name of the corresponding uncompressed file

  - ### getUncompressedFileName

    public static String getUncompressedFileName(String fileName)
    Maps the given name of a LZMA-compressed file to the name that the file should have after uncompression. Any file names with the generic ".lzma" suffix (or any other generic LZMA suffix) is mapped to a name without that suffix. If no LZMA suffix is detected, then the file name is returned unmapped.
    Parameters:
      `fileName` - name of a file
    Returns:
      name of the corresponding uncompressed file
    Since:
      1.25.0

  - ### isCompressedFilename

    @Deprecated public static boolean isCompressedFilename(String fileName)
    Deprecated.
    Use `isCompressedFileName(String)`.
    Detects common LZMA suffixes in the given file name.
    Parameters:
      `fileName` - name of a file
    Returns:
      `true` if the file name has a common LZMA suffix, `false` otherwise

  - ### isCompressedFileName

    public static boolean isCompressedFileName(String fileName)
    Detects common LZMA suffixes in the given file name.
    Parameters:
      `fileName` - name of a file
    Returns:
      `true` if the file name has a common LZMA suffix, `false` otherwise
    Since:
      1.25.0

  - ### isLZMACompressionAvailable

    public static boolean isLZMACompressionAvailable()
    Are the classes required to support LZMA compression available?
    Returns:
      true if the classes required to support LZMA compression are available

  - ### matches

    public static boolean matches(byte[] signature, int length)
    Checks if the signature matches what is expected for a .lzma file.
    Parameters:
      `signature` - the bytes to check
      `length` - the number of bytes to check
    Returns:
      true if signature matches the .lzma magic bytes, false otherwise

  - ### setCacheLZMAAvailablity

    public static void setCacheLZMAAvailablity(boolean doCache)
    Sets whether to cache the result of the LZMA check.

    This defaults to `false` in an OSGi environment and `true` otherwise.

    Parameters:
      `doCache` - whether to cache the result